                                    
                                    

                                  TODO
                                  ----
 ** 4XPath ** 
   *  Improve error handling
   *  More optimization
   *  Synch with XML-SIG

 ** 4XPointer ** 
   *  Points and Ranges
   *  Complete Core Functions

 ** 4XLink ** 
   *  Link database
   *  Extended links

 ** 4XSLT ** 
   *  Properly flag type errors
   *  More optimization
   *  Better error handling

 ** 4RDF ** 
   *  Complete RIL specification

 ** 4ODS ** 
   *  4odb_clean
   *  Better OQL support
   *  better test of locking and concurrency
   *  Better error handeling
   *  collection of struct, enums and collections
   *  interfaces
   *  arrays
   *  keys
   *  operations
   *  Iterator.replace_element
   *  structures
   *  dictionaries
   *  Udate an existing database meta data
   *  Concurrency for the Dmb Adapter

 ** DbDom ** 
   *  importNode support
   *  Better object caching (probably through ODS)

